cascading.operation

## Interface ValueAssertion<C>

All Superinterfaces:
  Assertion<C>, DeclaresResults, Operation<C>, PlannedOperation<C>

All Known Implementing Classes:
  AssertEquals, AssertEqualsAll, AssertMatches, AssertMatchesAll, AssertNotEquals, AssertNotNull, AssertNull, AssertSizeEquals, AssertSizeLessThan, AssertSizeMoreThan

    public interface ValueAssertion<C>
    extends Assertion<C>

Class ValueAssertion is a kind of `Assertion` used with the `Each` pipe Operator.

Implementers must also extend `BaseOperation`.

### Field Summary

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Method Summary

Methods
`void` `doAssert(FlowProcess flowProcess, ValueAssertionCall<C> assertionCall)` Method doAssert performs the assertion.

### Methods inherited from interface cascading.operation.PlannedOperation

`supportsPlannerLevel`

### Methods inherited from interface cascading.operation.Operation

`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

### Method Detail

#### doAssert

    void doAssert(FlowProcess flowProcess,
                ValueAssertionCall<C> assertionCall)

Method doAssert performs the assertion.

Parameters:
  `flowProcess` - of type FlowProcess
  `assertionCall` - of type ValueAssertionCall